/// <reference types="node" />
import { Plugin } from 'vite';
import EventEmitter from 'events';
import { WatchItem } from '..';
declare module 'vite' {
    interface ViteDevServer {
        viteburnerEmitter: EventEmitter;
    }
}
export interface HmrOptions {
    watch?: WatchItem[];
}
export interface HmrData extends WatchItem {
    file: string;
    event: string;
    initial: boolean;
    timestamp: number;
}
export declare const hmrPluginName = "viteburner:hmr";
export declare function findMatchedItem(watch: WatchItem[], file: string): WatchItem | undefined;
export declare function hmrPlugin(): Plugin;
export default hmrPlugin;
