import { TransformResult, ViteDevServer } from 'vite';
import { HmrData } from './plugins';
import { ViteBurnerConfig } from './config';
export declare function createViteServer(config: ViteBurnerConfig): Promise<ViteDevServer>;
export interface ViteBurnerServer extends ViteDevServer {
    pathToId(file: string): string;
    fetchModule(file: string): Promise<TransformResult | null>;
    onHmrMessage(handler: (data: HmrData, server: ViteBurnerServer) => void): void;
    buildStart(): Promise<void>;
}
export declare function createServer(config: ViteBurnerConfig): Promise<ViteBurnerServer>;
